codeEditor(1)

NAME
codeEditor - A Python-aware code editor written using the PythonCard GUI framework

SYNOPSIS
codeEditor [file] [switches]

DESCRIPTION

The codeEditor program is one of the tools included with the PythonCard GUI framework. It is focused on being a simple to use Python source code editor. It is not intended to be a generic editor or replace vi(m), Emacs, etc. If you are already happy with your existing editing environment for Python source code, there is no particular reason you have to switch.

codeEditor borrows ideas and code from IDLE as well as Mark Hammond's Pythonwin, PyCrust (the PythonCard shell) and Robin Dunn's pyshell.py. The core editor component uses the wxPython wxStyledTextCtrl (wxSTC) which in turn uses Neil Hodgson's Scintilla. Isn't open source fun? In 15 minutes you can have a pretty decent editor by standing on the shoulders of others.

SWITCHES

Note that switches must come after any filename in order to be recognized.

-p  Show property editor

-m  Show message watcher

-l  Enable logging

-s  Show shell

-m  Show namespace

-d  Show debug menu

NOTES

The codeEditor utility also provides additional functionality that is not discussed in this manpage, because it is somewhat difficult to completely describe usage of a GUI program in a text-based manpage. For more detailed usage instructions or for more information on the PythonCard GUI framework in general, you should install the pythoncard-doc package and take a look at the various walk-throughs, tutorials and samples included with it.

Once the pythoncard-doc package is installed, the documentation is installed to /usr/share/doc/pythoncard-doc, and is also available via Debian's doc-base infrastructure - find it in the Devel section using dwww(1), doc-central(1) or dhelp(1).

If you would rather not install the pythoncard-doc package, you can find essentially the same information on the PythonCard website:

http://pythoncard.sourceforge.net

BUGS

Although it is considered to be stable, this is still development-level software. If you use codeEditor as a real text editor then you may want to work on backup copies of documents in case there are bugs that might corrupt your text.

Please report bugs in this or any PythonCard component to the Debian Bug Tracking system using reportbug(1).

AUTHOR
This manpage was written by Kenneth J. Pronovici <pronovic@debian.org>, for use by the Debian project. Content was based on previously-existing PythonCard documentation in other forms.

SEE ALSO
resourceEditor(1), findfiles(1),